%define pre	rc5
%define rel	9

%if %pre
%define release		%mkrel 0.%{pre}.%{rel}
%define distname	%{name}-%{version}-%{pre}.tar.bz2
%define distdir		%{name}-%{version}~%{pre}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}.tar.bz2
%define distdir		%{name}-%{version}
%endif

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Font rendering library for OpenGL applications
Name:		ftgl
Version:	2.1.3
Release:	%{release}
License:	MIT
Group:		System/Libraries
URL:		http://ftgl.wiki.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{distname}
BuildRequires:	freetype2-devel
BuildRequires:	MesaGLU-devel
BuildRequires:	doxygen

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{libname}
Summary:	OpenGL Interface of Freetype2
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description -n	%{libname}
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{develname}
Summary:	Development related files of FTGL
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}0-devel

%description -n	%{develname}
This package contains headers and static libraries of FTGL.
You need to install it if you want to develop or compile
any programs that make use of OpenGL interface of freetype
library.

%prep
%setup -q -n %{distdir}
find -type f -name '*.txt' -print0 | xargs -0 -r chmod 0644

%build
%configure2_5x --enable-shared
%make

%install
rm -rf %{buildroot}
%makeinstall

# include doc ourselves, don't let software do it
rm -rf %{buildroot}%{_docdir}

# remove files not bundled
rm -f %{buildroot}%{_bindir}/FTGLDemo
rmdir %{buildroot}%{_bindir} || true

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libftgl.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README TODO
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.1.3-0.rc5.9.mga3
+ Revision: 350974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.8.mga3
+ Revision: 335467
- Better fix for new rpm

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.7.mga3
+ Revision: 335415
- Rebuild to fix previous fix

* Wed Dec 26 2012 pterjan <pterjan> 2.1.3-0.rc5.6.mga3
+ Revision: 335406
- Workaround new rpm limitation

* Wed Jan 26 2011 ahmad <ahmad> 2.1.3-0.rc5.5.mga1
+ Revision: 40899
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package ftgl

